Subject: HOWTO copyrights
From: [email-masked] (Greg Hankins)
To: Linux Documentation Project writers <[email-masked]>
Date: Mon, 24 Jul 1995 22:01:47 -0400 (EDT)

This is mainly for the HOWTO authors:

I have been talking with Adam privately about the HOWTO copyright.
Adam said that 2 small changes made to the copyright would be
acceptable to his recent "announcement".  I'd like input from all HOWTO
authors before anything is changed (*if* anything is changed).
Although I'm still not sure I like Adam/Yggdrasil's approach to the
matter, I can't see any practical reasons not to make changes:

[email-masked] (Adam J. Richter):
>        I see that the copyright on the HOWTO's has changed recently.
>There are two issues that would have to be resolved for the new
>copyright (#1 also applies to the old copyright):
>
>                1. The business about the "the author would like to
>                   be notified" should probably be clarified to make
>                   sure that it's clear that it's an optional request
>                   (it's OK to say that it's rude not follow the request,
>                   or exert similar non-legal social pressure).

I don't see why this can't be clarified.  Adam made the point, that if it is 
arguable that something needs to be clarified, then by definition it should be
clarified.  Adam is concerned that it be made clear that there is no legal 
obligation to notify authors of any distribution of works.

[email-masked] (Adam J. Richter):
>                2. The business about not be able to add further
>                   restriction would have to include something like
>                   "except for restrictions contained in the GNU
>                   General Public License as published by the
>                   Free Software Foundation (Cambridge, MA)" to
>                   ensure that howto excerpts can always be integrated
>                   into GPL'ed code.  Other than that, the "restriction
>                   on restrictions" is OK.
>
>        For example, the GPL requires that distribution of object
>code can only be done with source code or with certain arrangements
>for providing the source code.  This is a non-issue for plain text,
>but if excerpts are incorporated into code it becomes relevant.  It
>also becomes relevant in typesetting systems that border on being
>programming languages.  There are probably other examples.  By
>simply pointing to the GPL when refering to the allowable minimum
>restrictions, you are granting the minimum set of additional rights
>that is needed.
>
>        Just to be clear: I'm not asking you to add these restrictions
>to the HOWTO's, just allow them to be added in derivative works.

Another small change could easily be made to incorporate this into the
current copyright.  Again, I don't see any practical reason not to do this.

What do you think?

Greg
(HOWTO coordinator)

-- 
Greg Hankins ([email-masked])  |  Georgia Institute of Technology
Computing and Networking Services          |  College of Computing, room 213
+1 404 853 9989                            |  Atlanta, GA 30332-0280 
<A HREF="http://www.cc.gatech.edu/staff/h/Greg.Hankins/">Greg Hankins</A>
<A HREF="http://www.cc.gatech.edu/staff/h/Greg.Hankins/pubkey.asc">PGP key</A>